<?php
session_start();

require_once "../../../config/database.php";




if (empty($_SESSION['username']) && empty($_SESSION['password'])){
    echo "<meta http-equiv='refresh' content='0; url=index.php?alert=1'>";
}

else {
    if ($_GET['act']=='insert') {
        if (isset($_POST['Guardar'])) {            
			$fecha     = mysqli_real_escape_string($mysqli, trim($_POST['fecha_a']));
            $exp       = explode('-',$fecha);
            $fecha_a   = $exp[2]."-".$exp[1]."-".$exp[0];
            $codigo    = mysqli_real_escape_string($mysqli, trim($_POST['codigo']));
            $num       = mysqli_real_escape_string($mysqli, trim($_POST['num']));
			$nombre_entrega  = '';
            $total_stock = 0;			
            $tipo_transaccion= mysqli_real_escape_string($mysqli, trim($_POST['transaccion']));
            $created_user    = $_SESSION['id_user'];
			
			
			$query = mysqli_query($mysqli, " SELECT
                                                a.stock,
                                                (a.stock - COALESCE(SUM(CASE WHEN b.transito = 'T' THEN b.cantidad ELSE 0 END), 0)) AS disponibles,
                                                COALESCE(SUM(CASE WHEN b.transito = 'T' THEN b.cantidad ELSE 0 END), 0) AS transito
                                                FROM
                                                medicamentos AS a
                                                LEFT JOIN
                                                remision_detalle AS b ON a.codigo = b.codigo
                                                WHERE
                                                a.codigo = '$codigo' 
                                                GROUP BY
                                                a.codigo, a.nombre, a.unidad, a.stock; ")
                                  or die('error '.mysqli_error($mysqli));


						$data = mysqli_fetch_assoc($query);
						$stock = $data['stock'];
						$transito = $data['transito'];
					    
						if ( $data['disponibles'] == null ){
	  
						$disponibles = $stock; 
						  }
						  else {
							  
							  $disponibles = $data['disponibles'];
						  }
             
			 if ( $num > $disponibles ){
				 echo '<script>
							alert("Cantidad no disponible en inventario, estas excediendo el numero de articulos disponibles o hay '.$transito.' articulos en espera de ser surtidos");
							window.location = "https://inventarios.casatequilaarandas.com/main.php?module=form_remision&form=add";
					  </script>';
				return;
			 } 
			             
			else {
			 $query = mysqli_query($mysqli, "INSERT INTO remision_detalle(fecha, codigo, cantidad, created_user, tipo_transaccion, observaciones, status,transito) 
             VALUES('$fecha_a', '$codigo', '$num', '$created_user', '$tipo_transaccion','', 'A','T')")
             or die('Error: '.mysqli_error($mysqli));    
			}
           
            if ($query) {                
                header("location: ../../../main.php?module=remision&alert=1");
            }   
        }   
    }
}       
?>